package com.hzs.sale.ticket.param;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 自助购票
 */
@Data
public class BuyTicketParam implements Serializable {

    private Long pkId;

    /**
     * 购买人
     */
    private String buyName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 身份证
     */
    private String idCard;

    /**
     * 性别 0=未知 1=男 2=女
     */
    private Integer sex;

    /**
     * 服装尺码
     */
    private String clothSize;

    /**
     * 同住人
     */
    private String cohabitant;

    /**
     * 紧急联系人
     */
    private String emergencyPhone;

    @JsonIgnore
    public List<String> getValidConfirmField() {
        List<String> fieldList = new ArrayList<>();
        fieldList.add("buyName");
        fieldList.add("phone");
        fieldList.add("idCard");
        fieldList.add("clothSize");
        return fieldList;
    }
}
